JndiJmsLogAppender (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.util.JndiJmsLogAppender class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.util
Class JndiJmsLogAppender

    java.lang.Object
      org.apache.log4j.AppenderSkeleton
          org.codehaus.activemq.util.JmsLogAppenderSupport
              org.codehaus.activemq.util.JndiJmsLogAppender

All Implemented Interfaces:
  org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

public class JndiJmsLogAppender
extends JmsLogAppenderSupport

A JMS 1.1 log4j appender which uses JNDI to locate a JMS ConnectionFactory to use for logging events.

Version:
  $Revision: 1.1 $

Field Summary

Fields inherited from class org.codehaus.activemq.util.JmsLogAppenderSupport
`JMS_PUBLISH_ERROR_CODE`

Fields inherited from class org.apache.log4j.AppenderSkeleton
`closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

Constructor Summary
`JndiJmsLogAppender()`

Method Summary
`protected Connection` | `createConnection()`
`protected InitialContext` | `createInitialContext()`
`String` | `getInitialContextFactoryName()`
`String` | `getJndiName()`
`String` | `getPassword()`
`String` | `getProviderURL()`
`String` | `getSecurityCredentials()`
`String` | `getSecurityPrincipalName()`
`String` | `getUrlPkgPrefixes()`
`String` | `getUserName()`
`void` | `setInitialContextFactoryName(String initialContextFactoryName)`
`void` | `setJndiName(String jndiName)`
`void` | `setPassword(String password)`
`void` | `setProviderURL(String providerURL)`
`void` | `setSecurityCredentials(String securityCredentials)`
`void` | `setSecurityPrincipalName(String securityPrincipalName)`
`void` | `setUrlPkgPrefixes(String urlPkgPrefixes)`
`void` | `setUserName(String userName)`

Methods inherited from class org.codehaus.activemq.util.JmsLogAppenderSupport
`activateOptions, append, close, createMessage, createProducer, createSession, getConnection, getDestination, getProducer, getSession, requiresLayout, setConnection, setProducer, setSession`

Methods inherited from class org.apache.log4j.AppenderSkeleton
`addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JndiJmsLogAppender

    public JndiJmsLogAppender()

Method Detail

### getJndiName

    public String getJndiName()

### setJndiName

    public void setJndiName(String jndiName)

### getUserName

    public String getUserName()

### setUserName

    public void setUserName(String userName)

### getPassword

    public String getPassword()

### setPassword

    public void setPassword(String password)

### getInitialContextFactoryName

    public String getInitialContextFactoryName()

### setInitialContextFactoryName

    public void setInitialContextFactoryName(String initialContextFactoryName)

### getProviderURL

    public String getProviderURL()

### setProviderURL

    public void setProviderURL(String providerURL)

### getUrlPkgPrefixes

    public String getUrlPkgPrefixes()

### setUrlPkgPrefixes

    public void setUrlPkgPrefixes(String urlPkgPrefixes)

### getSecurityPrincipalName

    public String getSecurityPrincipalName()

### setSecurityPrincipalName

    public void setSecurityPrincipalName(String securityPrincipalName)

### getSecurityCredentials

    public String getSecurityCredentials()

### setSecurityCredentials

    public void setSecurityCredentials(String securityCredentials)

### createConnection

    protected Connection createConnection()
                                   throws JMSException,
                                          NamingException

  Specified by:
    `createConnection` in class `JmsLogAppenderSupport`
  Throws:
    `JMSException`
    `NamingException`

### createInitialContext

    protected InitialContext createInitialContext()
                                           throws NamingException

  Throws:
    `NamingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.